CREATE TABLE Local (
  id_local SERIAL PRIMARY KEY,
  direccion varchar
);


CREATE TABLE Transporte_Articulo (
  id_transporte_articulo SERIAL PRIMARY KEY
);


CREATE TABLE Transporte (
  id_transporte SERIAL PRIMARY KEY,
  tipo_transporte varchar,
  ruta varchar,
  id_transporte_articulo int
);

CREATE TABLE Articulo (
  id_articulo SERIAL PRIMARY KEY,
  peso int,
  dimesion float,
  importe float,
  destino varchar,
  fecha_entrega date,
  id_local int,
  id_transporte_articulo int
);

ALTER TABLE Transporte ADD FOREIGN KEY (id_transporte_articulo) REFERENCES Transporte_Articulo (id_transporte_articulo);

ALTER TABLE Articulo ADD FOREIGN KEY (id_local) REFERENCES Local (id_local);

ALTER TABLE Articulo ADD FOREIGN KEY (id_transporte_articulo) REFERENCES Transporte_Articulo (id_transporte_articulo);


INSERT INTO Local(direccion) Values('Ypane');
INSERT INTO Local(direccion) Values('Ñemby');

INSERT INTO Transporte_Articulo Values(1);
INSERT INTO Transporte_Articulo Values(2);
INSERT INTO Transporte(tipo_transporte,ruta,id_transporte_articulo) Values('Avion','ACCESO',1);
INSERT INTO Transporte(tipo_transporte,ruta,id_transporte_articulo) Values('Avion','ACCESO',2;

INSERT INTO Articulo(peso,dimesion,importe,destino,fecha_entrega,id_local,id_transporte_articulo)
            VALUES(1,2,12,'ÑEMBY',NULL,1,1);
INSERT INTO Articulo(peso,dimesion,importe,destino,fecha_entrega,id_local,id_transporte_articulo)
            VALUES(12,1,2,'Ypane',NULL,2,2);

SELECT Articulo.id_articulo from Articulo 
join Local ON Articulo.id_local=Local.id_local;
